ooef(1)

NAME
ooef - OOC error filter

SYNOPSIS
oo2c --error-style char-pos ... | ooef [options]
ooef [options] <file-name> <pos>

DESCRIPTION
The filter program ooef can be used to transform error messages, as emitted by oo2c, into a more convenient format. If no module name is given, ooef reads the output of oo2c from stdin, and writes a modified version to stdout. Error messages are rewritten, and the rest of the input is echoed. If a file name and a character position are passed as arguments, appropriate output is generated to designate the given position in the module's source text. NOTE: This tool has not been updated to work with oo2c's default error style. It only parses the old v1 style error format, which can be selected with --error-style char-pos.

OPTIONS

--context, -c
    Write an extract of the source text and insert additional lines to point to the error position. This is the default setting. Lines are numbered starting at 1.

--line, -l
    Rewrite error message to file:line:error. This will only give an approximation of the exact error position. The first line has the index 1.

--linecol, -L
    Rewrite error message to file:line,column:error. The first line has the number 1, likewise the first column.

--config <file>
    Use given file as configuration file.

--help, -h
    Write short usage summary and exit.

ENVIRONMENT
OO2CRC holds the name of the configuration file. OOC_REPS is a list of repository paths, separated by colons (:). Empty paths are ignored.

SEE ALSO
oo2c(1), OOC2 Reference Manual

AUTHOR
Michael van Acken <mva@users.sf.net>